Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
HashFunctionDelegate Delegate
See Also Send Feedback

The application-specified hash function.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public delegate uint HashFunctionDelegate(
    	byte[] data
    )

Visual Basic (Declaration)
    Public Delegate Function HashFunctionDelegate ( _
    	data As Byte() _
    ) As UInteger

Visual C++
    public delegate unsigned int HashFunctionDelegate(
    	array<unsigned char>^ data
    )

#### Parameters

data
  Type: array< System..::.Byte >[]()[]
  A byte string representing a key in the database

#### Return Value

The hashed value of data

# See Also

BerkeleyDB Namespace